package com.qs.mp.admin.domain.vo;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @ClassName GroupBuying
 * @author yang.zhao
 * @Version 1.0
 * @Description 拼团活动表实体
 */
@TableName("mp_groupbuying")
@Data
@ApiModel("拼团活动表实体类")
public class GroupBuying implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "活动id,主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("活动标题")
    @TableField("title")
    private String title;

    @ApiModelProperty(value = "活动主图")
    @TableField("pic_url")
    private String picUrl;

    @ApiModelProperty("开始时间")
    @TableField("start_time")
    private Date startTime;

    @ApiModelProperty("结束时间")
    @TableField("end_time")
    private Date endTime;

    @ApiModelProperty("拼团有效期")
    @TableField("group_effective_time")
    private Integer groupEffectiveTime;

    @ApiModelProperty("成团人数")
    @TableField("group_size")
    private Integer groupSize;

    @ApiModelProperty("每个用户发起拼团的最大次数，活动的维度")
    @TableField("start_group_times")
    private Integer startGroupTimes;

    @ApiModelProperty("每个用户参与拼团的最大次数,活动的维度，未设置事，可以无限制拼团直至成团")
    @TableField("partin_group_times")
    private Integer partinGroupTimes;

    @ApiModelProperty("活动最大成团次数")
    @TableField("complete_group_times")
    private Integer completeGroupTimes;

    @ApiModelProperty("返佣系数百分比")
    @TableField("rebate_coefficient_num")
    private BigDecimal rebateCoefficientNum;

    @ApiModelProperty("参与门店")
    @TableField("partin_store")
    private String partinStore;

    @ApiModelProperty("是否允许退款，0：允许；1不允许")
    @TableField("is_refund")
    private Integer isRefund;

    @ApiModelProperty("是否上架，0：上架；1：下架")
    @TableField("is_putaway")
    private Integer isPutaway;

    @ApiModelProperty("拼团价格")
    @TableField("group_price")
    private Integer groupPrice;

    @ApiModelProperty("活动描述")
    @TableField("description")
    private String description;

    @ApiModelProperty("创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty("更新时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty("逻辑删除标识")
    @TableField("is_delete")
    @TableLogic
    private Integer isDelete;

}