package com.qs.mp.admin.domain.vo;

import com.qs.mp.common.enums.MarketingStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 拼团活动列表出参类
 * @author yang.zhao
 */
@ApiModel("拼团活动列表出参类")
@Data
public class GroupBuyingListVO {

    @ApiModelProperty(value = "活动id,主键")
    private Long id;

    @ApiModelProperty("活动标题")
    private String title;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("拼团有效期")
    private Integer groupEffectiveTime;

    @ApiModelProperty("成团人数")
    private Integer groupSize;

    @ApiModelProperty("返佣系数百分比")
    private BigDecimal rebateCoefficientNum;

    @ApiModelProperty("是否允许退款")
    private Integer isRefund;

    @ApiModelProperty("是否上架")
    private Integer isPutaway;

    @ApiModelProperty("成团价格")
    private Integer groupPrice;

    @ApiModelProperty("活动状态:0上架，1下架，2已结束，3进行中，4已完成，5预热中")
    private String status;

    public String getStatus() {
        return MarketingStatusEnum.getStatus(this.startTime, this.endTime, this.isPutaway);
    }

}
