package com.qs.mp.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.Marketing;
import com.qs.mp.admin.domain.param.*;
import com.qs.mp.admin.domain.vo.GroupBuying;
import com.qs.mp.user.domain.param.MarketingHelpParam;

import java.util.List;

/**
 * @ClassName IGroupBuyingService
 * @author yang.zhao
 * @Version 1.0
 * @Description 拼团活动表 服务类
 */
public interface IGroupBuyingService extends IService<GroupBuying> {

    /**
     * 拷贝营销活动
     * @param marketingId
     */
    void copyById(Long marketingId);

    /**
     * 创建拼团活动
     * @param groupBuyingCreateParam
     */
    void createGroupBuying(GroupBuyingCreateParam groupBuyingCreateParam);

    /**
     * 更新拼团活动
     * @param groupBuyingUpdateParam
     */
    void updateGroupBuying(GroupBuyingUpdateParam groupBuyingUpdateParam);

    /**
     * 获取拼团活动列表
     * @param
     * @return
     */
    List<GroupBuying> listGroupBuying(GroupBuyingQueryParam groupBuyingQueryParam);




    /**
     * 根据活动id删除活动相关信息
     * @param id
     */
//    void deleteById(Long id);

    /**
     * 活动助力
     * @param marketingHelpParam
     * @param userId
     */
//    void help(MarketingHelpParam marketingHelpParam, Long userId);

    /**
     * 开奖
     * @param marketing
     */
//    void lottery(Marketing marketing);

    /**
     * 立即获取抽奖码
     * @param marketingId
     * @param userId
     */
//    void generateCode(Long marketingId, Long userId);

}
