package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @describe 拼团活动中奖信息表实体类
 */
@TableName("mp_groupbuying_hit_prize")
@Data
@ApiModel("拼团活动中奖信息表实体类")
public class GroupBuyingHitPrize implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("中奖记录id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    /**
     * 拼团活动id
     */
    @ApiModelProperty("拼团活动id")
    @TableField("groupbuying_id")
    private Long groupbuyingId;

    /**
     * 拼团id
     */
    @ApiModelProperty("拼团id")
    @TableField("group_id")
    private Long groupId;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    @TableField("user_id")
    private Long userId;

    /**
     * 用户类型(00系统用户)(11内部用户)
     */
    @ApiModelProperty("用户类型(00系统用户)(11内部用户)")
    @TableField("user_type")
    private String userType;

    /**
     * 奖项id
     */
    @ApiModelProperty("奖项id")
    @TableField("awards_id")
    private Long awardsId;

    /**
     * 奖品id
     */
    @ApiModelProperty("奖品id")
    @TableField("prize_id")
    private Long prizeId;

    /**
     * 奖品数
     */
    @ApiModelProperty("奖品数")
    @TableField("prize_quantity")
    private Long prizeQuantity;

    /**
     * 奖品类型 goods 实物商品 coupon优惠券 coin平台代币 coupon_pkg券包
     */
    @ApiModelProperty("奖品数")
    @TableField("prize_type")
    private String prizeType;

    /**
     * 发货状态
     */
    @ApiModelProperty("发货状态")
    @TableField("deliver_goods_status")
    private int deliverGoodsStatus;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;

    /**
     * 逻辑删除标识
     */
    @ApiModelProperty("逻辑删除标识")
    @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;


}