package com.qs.mp.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.vo.*;
import com.qs.mp.pay.domain.PayOrder;
import com.qs.mp.user.domain.vo.GroupOrderSettleVO;
import com.qs.mp.user.domain.vo.UserShareVO;

import java.util.List;

/**
 * <p>
 * 用户盲票订单 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
public interface IUserGroupOrderService extends IService<GroupBuyingOrder> {

  /**
   * 提交拼团购买订单
   * @param userId
   * @param orderSettleVO
   * @param userShareVO
   * @return
   */
  String submitOrder(Long userId, GroupOrderSettleVO orderSettleVO, UserShareVO userShareVO);

  /**
   * 交易当前是否能正常拼团
   * @param orderSettleVO
   * @param groupBuying
   * @return
   */
  boolean checkGroup(GroupOrderSettleVO orderSettleVO,GroupBuying groupBuying,GroupBuyingGroup groupBuyingGroup,boolean updateGroupNumber);

  boolean updateGroupNumber(GroupOrderSettleVO orderSettleVO,GroupBuying groupBuying,GroupBuyingGroup groupBuyingGroup);

  /**
   * 批量取消一个票组（线上）的订单（恢复优惠券、票组销量）
   * @param boxId
   * @param orderIds
   * @return
   */
  boolean batchCancelOrder(String boxId, List<String> orderIds);

  /**
   * 取消订单（恢复优惠券、票组销量）
   * @param orderId
   * @return
   */
  boolean cancelOrder(String orderId);

  /**
   * 支付成功回调
   * @param payOrder
   * @return
   */
  boolean paySuccess(PayOrder payOrder);

  /**
   * 给渠道分润
   * @param orderId
   * @param resource 订单来源1用户,2经销商
   * @return
   */
  boolean commToChannel(String orderId, Integer resource);






}
